Loading...
Searching...
No Matches
itk::GPUBSplineTransform< TScalarType, NDimensions, VSplineOrder, TParentTransform > Class Template Reference

`#include <itkGPUBSplineTransform.h>`

## Detailed Description

template<typename TScalarType = float, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3, typename TParentTransform = BSplineTransform<TScalarType, NDimensions, VSplineOrder>>
class itk::GPUBSplineTransform< TScalarType, NDimensions, VSplineOrder, TParentTransform >

GPU version of BSplineTransform.

Author
  Denis P. Shamonin and Marius Staring. Division of Image Processing, Department of Radiology, Leiden, The Netherlands

Note
  This work was funded by the Netherlands Organisation for Scientific Research (NWO NRG-2010.02 and NWO 639.021.124).

Definition at line 41 of file itkGPUBSplineTransform.h.

Inheritance diagram for itk::GPUBSplineTransform< TScalarType, NDimensions, VSplineOrder, TParentTransform >:
[legend]

## Public Types

using | CoefficientImageArray = typename CPUSuperclass::CoefficientImageArray
using | ConstPointer = SmartPointer<const Self>
using | CPUSuperclass = TParentTransform
using | GPUSuperclass = GPUBSplineBaseTransform<TScalarType, NDimensions>
using | ParametersType = typename CPUSuperclass::ParametersType
using | Pointer = SmartPointer<Self>
using | Self = GPUBSplineTransform
Public Types inherited from itk::GPUBSplineBaseTransform< float, 3 >
using | GPUCoefficientImageArray
using | GPUCoefficientImageBaseArray
using | GPUCoefficientImagePointer
using | GPUCoefficientImageType
using | GPUDataManagerPointer
using | Self
Public Types inherited from itk::GPUTransformBase
using | Self = GPUTransformBase

## Public Member Functions

virtual const char * | GetClassName () const
| itkStaticConstMacro (SpaceDimension, unsigned int, NDimensions)
void | SetCoefficientImages (const CoefficientImageArray &images)
void | SetParameters (const ParametersType &parameters)
Public Member Functions inherited from itk::GPUBSplineBaseTransform< float, 3 >
const GPUCoefficientImageArray | GetGPUCoefficientImages () const
const GPUCoefficientImageBaseArray | GetGPUCoefficientImagesBases () const
virtual unsigned int | GetSplineOrder () const
bool | IsBSplineTransform () const override
| itkStaticConstMacro (SpaceDimension, unsigned int, NDimensions)
Public Member Functions inherited from itk::GPUTransformBase
virtual const char * | GetNameOfClass () const
virtual GPUDataManager::Pointer | GetParametersDataManager () const
virtual GPUDataManager::Pointer | GetParametersDataManager (const std::vcl_size_t index) const
virtual bool | IsIdentityTransform () const
virtual bool | IsMatrixOffsetTransform () const
virtual bool | IsTranslationTransform () const

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

void | CopyCoefficientImagesToGPU ()
| GPUBSplineTransform ()
void | PrintSelf (std::ostream &os, Indent indent) const override
virtual | ~GPUBSplineTransform ()
Protected Member Functions inherited from itk::GPUBSplineBaseTransform< float, 3 >
bool | GetSourceCode (std::string &source) const override
| GPUBSplineBaseTransform ()
virtual void | SetSplineOrder (const unsigned int splineOrder)
| ~GPUBSplineBaseTransform () override=default
Protected Member Functions inherited from itk::GPUTransformBase
| GPUTransformBase ()
virtual | ~GPUTransformBase ()=default

## Private Member Functions

| GPUBSplineTransform (const Self &other)=delete
const Self & | operator= (const Self &)=delete

## Additional Inherited Members

Protected Attributes inherited from itk::GPUBSplineBaseTransform< float, 3 >
GPUCoefficientImageArray | m_GPUBSplineTransformCoefficientImages
GPUCoefficientImageBaseArray | m_GPUBSplineTransformCoefficientImagesBase
Protected Attributes inherited from itk::GPUTransformBase
GPUDataManager::Pointer | m_ParametersDataManager {}

## Member Typedef Documentation

## CoefficientImageArray

template<typename TScalarType = float, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3, typename TParentTransform = BSplineTransform<TScalarType, NDimensions, VSplineOrder>>

using itk::GPUBSplineTransform< TScalarType, NDimensions, VSplineOrder, TParentTransform >::CoefficientImageArray = typename CPUSuperclass::CoefficientImageArray

Definition at line 53 of file itkGPUBSplineTransform.h.

## ConstPointer

template<typename TScalarType = float, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3, typename TParentTransform = BSplineTransform<TScalarType, NDimensions, VSplineOrder>>

using itk::GPUBSplineTransform< TScalarType, NDimensions, VSplineOrder, TParentTransform >::ConstPointer = SmartPointer<const Self>

Definition at line 51 of file itkGPUBSplineTransform.h.

## CPUSuperclass

template<typename TScalarType = float, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3, typename TParentTransform = BSplineTransform<TScalarType, NDimensions, VSplineOrder>>

using itk::GPUBSplineTransform< TScalarType, NDimensions, VSplineOrder, TParentTransform >::CPUSuperclass = TParentTransform

Definition at line 48 of file itkGPUBSplineTransform.h.

## GPUSuperclass

template<typename TScalarType = float, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3, typename TParentTransform = BSplineTransform<TScalarType, NDimensions, VSplineOrder>>

using itk::GPUBSplineTransform< TScalarType, NDimensions, VSplineOrder, TParentTransform >::GPUSuperclass = GPUBSplineBaseTransform<TScalarType, NDimensions>

Definition at line 49 of file itkGPUBSplineTransform.h.

## ParametersType

template<typename TScalarType = float, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3, typename TParentTransform = BSplineTransform<TScalarType, NDimensions, VSplineOrder>>

using itk::GPUBSplineTransform< TScalarType, NDimensions, VSplineOrder, TParentTransform >::ParametersType = typename CPUSuperclass::ParametersType

Definition at line 52 of file itkGPUBSplineTransform.h.

## Pointer

template<typename TScalarType = float, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3, typename TParentTransform = BSplineTransform<TScalarType, NDimensions, VSplineOrder>>

using itk::GPUBSplineTransform< TScalarType, NDimensions, VSplineOrder, TParentTransform >::Pointer = SmartPointer<Self>

Definition at line 50 of file itkGPUBSplineTransform.h.

## Self

template<typename TScalarType = float, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3, typename TParentTransform = BSplineTransform<TScalarType, NDimensions, VSplineOrder>>

using itk::GPUBSplineTransform< TScalarType, NDimensions, VSplineOrder, TParentTransform >::Self = GPUBSplineTransform

Standard class typedefs.

Definition at line 47 of file itkGPUBSplineTransform.h.

## Constructor & Destructor Documentation

## GPUBSplineTransform() [1/2]

template<typename TScalarType = float, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3, typename TParentTransform = BSplineTransform<TScalarType, NDimensions, VSplineOrder>>

itk::GPUBSplineTransform< TScalarType, NDimensions, VSplineOrder, TParentTransform >::GPUBSplineTransform | ( |  | ) |

protected

## ~GPUBSplineTransform()

template<typename TScalarType = float, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3, typename TParentTransform = BSplineTransform<TScalarType, NDimensions, VSplineOrder>>

virtual itk::GPUBSplineTransform< TScalarType, NDimensions, VSplineOrder, TParentTransform >::~GPUBSplineTransform | ( |  | ) |

inline protected virtual

Definition at line 74 of file itkGPUBSplineTransform.h.

## GPUBSplineTransform() [2/2]

template<typename TScalarType = float, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3, typename TParentTransform = BSplineTransform<TScalarType, NDimensions, VSplineOrder>>

itk::GPUBSplineTransform< TScalarType, NDimensions, VSplineOrder, TParentTransform >::GPUBSplineTransform | ( | const Self & | other | ) |

private delete

## Member Function Documentation

## CopyCoefficientImagesToGPU()

template<typename TScalarType = float, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3, typename TParentTransform = BSplineTransform<TScalarType, NDimensions, VSplineOrder>>

void itk::GPUBSplineTransform< TScalarType, NDimensions, VSplineOrder, TParentTransform >::CopyCoefficientImagesToGPU | ( |  | ) |

protected

## GetClassName()

template<typename TScalarType = float, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3, typename TParentTransform = BSplineTransform<TScalarType, NDimensions, VSplineOrder>>

virtual const char * itk::GPUBSplineTransform< TScalarType, NDimensions, VSplineOrder, TParentTransform >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::GPUBSplineBaseTransform< float, 3 >.

## itkStaticConstMacro()

template<typename TScalarType = float, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3, typename TParentTransform = BSplineTransform<TScalarType, NDimensions, VSplineOrder>>

itk::GPUBSplineTransform< TScalarType, NDimensions, VSplineOrder, TParentTransform >::itkStaticConstMacro | ( | SpaceDimension | ,
|  | unsigned int | ,
|  | NDimensions | )

Dimension of the domain space.

## New()

template<typename TScalarType = float, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3, typename TParentTransform = BSplineTransform<TScalarType, NDimensions, VSplineOrder>>

Pointer itk::GPUBSplineTransform< TScalarType, NDimensions, VSplineOrder, TParentTransform >::New | ( |  | ) |

static

Method for creation through the object factory.

## operator=()

template<typename TScalarType = float, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3, typename TParentTransform = BSplineTransform<TScalarType, NDimensions, VSplineOrder>>

const Self & itk::GPUBSplineTransform< TScalarType, NDimensions, VSplineOrder, TParentTransform >::operator= | ( | const Self & |  | ) |

private delete

## PrintSelf()

template<typename TScalarType = float, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3, typename TParentTransform = BSplineTransform<TScalarType, NDimensions, VSplineOrder>>

void itk::GPUBSplineTransform< TScalarType, NDimensions, VSplineOrder, TParentTransform >::PrintSelf | ( | std::ostream & | os,
|  | Indent | indent ) const

override protected

## SetCoefficientImages()

template<typename TScalarType = float, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3, typename TParentTransform = BSplineTransform<TScalarType, NDimensions, VSplineOrder>>

void itk::GPUBSplineTransform< TScalarType, NDimensions, VSplineOrder, TParentTransform >::SetCoefficientImages | ( | const CoefficientImageArray & | images | ) |

Set the array of coefficient images array.

## SetParameters()

template<typename TScalarType = float, unsigned int NDimensions = 3, unsigned int VSplineOrder = 3, typename TParentTransform = BSplineTransform<TScalarType, NDimensions, VSplineOrder>>

void itk::GPUBSplineTransform< TScalarType, NDimensions, VSplineOrder, TParentTransform >::SetParameters | ( | const ParametersType & | parameters | ) |

This method sets the parameters of the transform.

Generated on 1768596610 for elastix by 1.15.0 |